#
# Spec file for oracleasm
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

# Turn on's and off's (summit and debug not used but added
# for future proofing)



Summary: The Oracle Automatic Storage Management support programs.
Name: oracleasm-support
Version: 2.1.4
Release: 1.el5
License: GPL
Group: System Environment/Kernel
Source: oracleasm-support-2.1.4.tar.gz
URL: http://oss.oracle.com/projects/oracleasm/
Distribution: Oracle
Vendor: Oracle Corporation
Packager: Joel Becker <joel.becker@oracle.com>
AutoReqProv: no
BuildRequires: oracleasm-headers >= 2.0.3


BuildRoot: %{_tmppath}/oracleasm-support-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root



%description
Tools to manage the Oracle Automatic Storage Management library driver


%prep
%setup -n oracleasm-support-%{version}


%build
./configure					\
	--prefix=%{_prefix}			\
	--exec-prefix=%{_exec_prefix}		\
	--bindir=%{_bindir}			\
	--sbindir=%{_sbindir}			\
	--sysconfdir=%{_sysconfdir}		\
	--datadir=%{_datadir}			\
	--includedir=%{_includedir}		\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libexecdir}		\
	--localstatedir=%{_localstatedir}	\
	--sharedstatedir=%{_sharedstatedir}	\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
	--sbindir=/usr/sbin			\
	--with-execpath=/usr/lib/oracleasm

make



%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/common/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/common/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm

make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
chkconfig oracleasm on

%files
%defattr(-,root,root)
%doc documents/ReleaseNotes
/usr/sbin/asmtool
/usr/sbin/asmscan
/usr/sbin/oracleasm
/usr/lib/oracleasm
/usr/share/man
%attr(0755,root,root) /etc/init.d/oracleasm
%config(noreplace) /etc/sysconfig/oracleasm



%changelog
* Wed Jan 07 2004 Joel Becker <joel.becker@oracle.com>
- Make open package.

* Thu Dec 11 2003 Joel Becker <joel.becker@oracle.com>
- Try at userspace thingie.

* Wed Nov 12 2003 Joel Becker <joel.becker@oracle.com>
- Start the ASM rename.

* Thu Oct 30 2003 Joel Becker <joel.becker@oracle.com>
- Created EL3 version

* Mon Jun 23 2003 Joel Becker <joel.becker@oracle.com>
- Added osm-lib bits

* Fri Jun 20 2003 Joel Becker <joel.becker@oracle.com>
- Initial RPM

